import { Injectable } from '@angular/core';
import {CarePlanService} from '../api/care-plan.service';
import {DataCardService} from '../api/data-card.service';
import {PatientContextService} from './patient-context.service';

@Injectable({
  providedIn: 'root'
})
export class EncounterService {

  constructor(
    private careplanService: CarePlanService,
    private datacardService: DataCardService,
    private patientContextService: PatientContextService) { }

  public async switchEncounter(episodeOfCareId: string): Promise<void> {
    this.patientContextService.setEpisodeOfCare(episodeOfCareId);
    this.careplanService.refresh(episodeOfCareId);
    this.datacardService.refreshSelectedDataCard(episodeOfCareId);
  }
}
